package org.ajax4jsf.bean;

import javax.faces.context.FacesContext;

import org.ajax4jsf.component.UIAjaxCommandLink;
import org.ajax4jsf.event.AjaxEvent;
import org.ajax4jsf.event.AjaxListener;

public class AjaxListenerTestBean implements AjaxListener{

    private long number = 0l;

    /**
     * Gets value of number field.
     * @return value of number field
     */
    public long getNumber() {
        return number;
    }

    /**
     * Set a new value for number field.
     * @param number a new value for number field
     */
    public void setNumber(long number) {
        this.number = number;
    }

    /**
     * @see AjaxListener#processAjax(AjaxEvent)
     */
    public void processAjax(AjaxEvent event) {
        FacesContext ctx = FacesContext.getCurrentInstance();
        UIAjaxCommandLink link = (UIAjaxCommandLink) event.getComponent();
        if(ctx.getMessages().hasNext()) {
            link.setValue("Validation failed, but ajax listener is invoked anyway");
        } else {
            link.setValue("Ajax listener has been invoked successfully");
        }
    }

}
